------------------------------------------------------------------------------------
--Name：            210129[简体征服][活动脚本]全球白色情人节活动——副本1+2
--Creator:      林嘉鑫
--Created:     2021-01-29
------------------------------------------------------------------------------------
-- /callluafunc </F>User_PlayPlot</N>118
-- /chgmap 11136 142 175

local playerNpcNew = CppScriptMgr:AddSimplePlayer(35024, 125,188, "Little Mermaid", 4003000115,1)
playerNpcNew:Say("#08", 20000)
playerNpcNew:SetZoomPercent(100)
CppScriptMgr:SetViewPosByCell(125,188);
CppScriptMgr:SetViewScale(300);
CppScriptMgr:SetLightScreen(2000);
CppScriptMgr:WaitMilSec(1500);

local effectObj01 = CppScriptMgr:AddEffect("halo_shui_fir", 130, 202);
local effectObj02 = CppScriptMgr:AddEffect("halo_shui_fir", 127, 202);
CppScriptMgr:WaitMilSec(1000);
local FishNpc2 = CppScriptMgr:AddSimplePlayer(35034, 130,202, "Blue Whale", 4003000117,1)
FishNpc2:SetZoomPercent(100)
FishNpc2:SetDir(4);
local FishNpc1 = CppScriptMgr:AddSimplePlayer(35044, 127,202, "Pink Whale", 4003000116,1)
FishNpc1:SetZoomPercent(100)
FishNpc1:SetDir(4);

for i = 1,100 do
	CppScriptMgr:SetViewOffset(-1,1)
	CppScriptMgr:WaitMilSec(10);
end

playerNpcNew:Say("#08", 20000)
FishNpc1:Say("Princess is crying again.", 2000)
CppScriptMgr:WaitMilSec(2500);
FishNpc2:Say("Love is so painful. Poor princess.", 2000)
CppScriptMgr:WaitMilSec(2500);
playerNpcNew:Say("#08", 20000)
FishNpc1:Say("Can we see princess afterwards?", 2000)
CppScriptMgr:WaitMilSec(2500);
FishNpc2:Say("Maybe the bubbles around us are princess.", 2000)
playerNpcNew:Say("#08", 20000)
CppScriptMgr:WaitMilSec(2500);
FishNpc1:Say("I don`t want our princess to become bubbles.", 2000)
CppScriptMgr:WaitMilSec(2500);

local effectObj = CppScriptMgr:AddEffect("sscs_htsd_dis", 122, 194);
CppScriptMgr:WaitMilSec(1000);
local Npc1 = CppScriptMgr:AddSimplePlayer(35015, 122,194, "Sea Witch", 4003000118,1)
Npc1:SetZoomPercent(200)
CppScriptMgr:WaitMilSec(2000);
Npc1:Say("The mysterious sea, please turn the illusory obsessions into bubbles!", 2000)
local effectObj2 = CppScriptMgr:AddEffect("sscs_htsd_cyc", 125, 188);
for i = 1,100 do
	playerNpcNew:SetZoomPercent(100 - i)
	CppScriptMgr:WaitMilSec(20);
end
CppScriptMgr:ClearEffect(effectObj2)
playerNpcNew:SetPos(1, 1);
local effectObj3 = CppScriptMgr:AddEffect("halo_huo_fir", 125, 188);

CppScriptMgr:WaitMilSec(2000);
